# class Complex

### Public Class Methods

yaml_new( klass, tag, val ) click to toggle source

    # File lib/syck/rubytypes.rb, line 419
    def Complex.yaml_new( klass, tag, val )
            if val.is_a? String
                    Complex( val )
            else
                    Complex( val['real'], val['image'] )
            end
    end

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source
Calls superclass method Object#to_yaml

    # File lib/syck/rubytypes.rb, line 426
    def to_yaml( opts = {} )
    return super unless YAML == Syck
            Syck::quick_emit( self, opts ) do |out|
                    out.map( taguri, nil ) do |map|
                            map.add( 'image', imaginary )
                            map.add( 'real', real )
                    end
            end
    end